Bug 118916 - scp dies with Lost Connection
scp dies with Lost Connection
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssh (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 14:06 EST by Nate Golnik
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-12 11:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace from the Server side (172.06 KB, text/plain)
2004-03-22 14:09 EST, Nate Golnik
no flags Details
client side strace of it dieing (17.99 KB, text/plain)
2004-03-22 14:10 EST, Nate Golnik
no flags Details

  None (edit)
Description Nate Golnik 2004-03-22 14:06:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
After the server has been running for a couple of weeks, scp from
local machine to remote server dies with Lost Connection.  There was
no network problems at that time.  Strace of the server end shows 

1590  rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
1590  close(6)                          = 0

Full Straces from client and server will be uploaded.  Once it gets
into this state restarting ssh doesn't fix it only a reboot seems to work.

Scp from remote server to client works with no problems.

Version-Release number of selected component (if applicable):
openssh-3.1p1-14

How reproducible:
Sometimes

Steps to Reproduce:
1.wait till ssh gets into broken state
2.scp file to server
3. get sigpipe and local host reports Lost Connection
    

Actual Results:  nate@localhost nate]$ scp abuse.log
nate@servername.redhat.com:/tmp
nate@servername.redhat.com's password:
abuse.log              5% |*                            |   392 KB   
01:34 ETAlost connection


Expected Results:  Completion of scp.

Additional info:
Comment 1 Nate Golnik 2004-03-22 14:09:03 EST
Created attachment 98753 [details]
Strace from the Server side

This is the strace output from the server.
Comment 2 Nate Golnik 2004-03-22 14:10:29 EST
Created attachment 98754 [details]
client side strace of it dieing
Comment 3 Tomas Mraz 2005-04-12 11:29:05 EDT
Does it still happen? If yes, does ssh-ing to the server fail?
Could you attach log produced with scp -vvv when it fails?
Comment 4 Nate Golnik 2005-04-12 11:42:29 EDT
This problem has gone away with one of the latest updates.
Comment 5 Tomas Mraz 2005-04-12 11:50:58 EDT
OK, thanks.

Note You need to log in before you can comment on or make changes to this bug.